Bug 916078 - Create Bug.update_attachment to update attachments via RPC
Create Bug.update_attachment to update attachments via RPC
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
: Reopened
Depends On:
Blocks: 916074 991612
  Show dependency treegraph
 
Reported: 2013-02-27 03:44 EST by Tony Fu
Modified: 2014-10-12 18:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.4.0009
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 20:46:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 914986 None None None Never

  None (edit)
Description Tony Fu 2013-02-27 03:44:15 EST
Description of problem:


Is it possible to provide an xmlrpc call to update existing attachment's data (is_private, summary etc).  I have read the Bugzilla::WebService::*'s documents and seems no existing xmlrpc calls can update attachment's data.
Comment 1 Roman Joost 2013-03-25 02:20:50 EDT
Hi Tony,

I'm sorry, but what you're requesting is not possible. It is important to keep the history of a bug and their attachments.

What you can do is, mark an old attachment as obsolete and create a new one.

Thanks for your report!
Comment 2 Tony Fu 2013-08-05 00:42:39 EDT
(In reply to Roman Joost from comment #1)
> Hi Tony,
> 
> I'm sorry, but what you're requesting is not possible. It is important to
> keep the history of a bug and their attachments.
> 
> What you can do is, mark an old attachment as obsolete and create a new one.
> 

Does the bz xmlrpc provide the function to mark an old attachment as obsolete?  If bz xmlrpc doesn't have this function yet, can we have it in the future?

 
> Thanks for your report!
Comment 3 Simon Green 2013-08-05 01:26:52 EDT
Hi Tony,

Sorry for closing this. It should be possible to make the same changes as you can in the website. As you noted this is currently not possible.

  -- simon
Comment 4 Tony Fu 2013-08-05 21:13:35 EDT
Hi Simon,

Thanks for your reply.  

Do you have any time frame to introduce this feature in the future?


Thanks,
Tony

(In reply to Simon Green from comment #3)
> Hi Tony,
> 
> Sorry for closing this. It should be possible to make the same changes as
> you can in the website. As you noted this is currently not possible.
> 
>   -- simon
Comment 10 Simon Green 2013-10-03 20:46:26 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.